---
title: HashChangeEvent.newURL
slug: Web/API/HashChangeEvent/newURL
tags:
  - API
  - HashChangeEvent
  - Property
  - Reference
  - Web API
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>newURL</strong></code> read-only property of the {{domxref("HashChangeEvent")}} interface returns the new URL to which the window is navigating.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <em>newEventUrl</em> = <em>event</em>.newURL;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">window.addEventListener('hashchange', function(event) {
  console.log('Hash changed to ' + event.newURL);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-hashchangeevent-newurl', 'HashChangeEvent: newURL')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HashChangeEvent.newURL")}}</p>
